System 2.0.0.0 4.0.0.0 System.Enum

The values of this enumeration are used to set the property.

The and values are relevant for Kerberos authentication. Kerberos authentication can be supported directly, or can be used if the Negotiate security protocol is used to select the actual security protocol. For more information about authentication protocols, see Internet Authentication.

Specifies client requirements for authentication and impersonation when using the class and derived classes to request a resource.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Security.AuthenticationLevel

  The client and server should be authenticated. The request does not fail if the server is not authenticated. To determine whether mutual authentication occurred, check the value of the property.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Security.AuthenticationLevel

  The client and server should be authenticated. If the server is not authenticated, your application will receive an with a inner exception that indicates that mutual authentication failed

- Field
  2.0.0.0
  4.0.0.0
  System.Net.Security.AuthenticationLevel

  No authentication is required for the client and server.